## BraseroBurn

BraseroBurn

## Functions

BraseroBurn * | brasero_burn_new ()
BraseroBurnResult | brasero_burn_record ()
BraseroBurnResult | brasero_burn_check ()
BraseroBurnResult | brasero_burn_blank ()
BraseroBurnResult | brasero_burn_cancel ()
BraseroBurnResult | brasero_burn_status ()
void | brasero_burn_get_action_string ()

## Signals

void | action-changed | Run Last
int | blank-failure | Run Last
int | disable-joliet | Run Last
int | dummy-success | Run Last
int | eject-failure | Run Last
int | insert-media | Run Last
int | install-missing | Run Last
int | location-request | Run Last
void | progress-changed | Run Last
int | warn-audio-to-appendable | Run Last
int | warn-data-loss | Run Last
int | warn-previous-session-loss | Run Last
int | warn-rewritable | Run Last

## Types and Values

| BraseroBurn

## Object Hierarchy

        GObject
        ╰── BraseroBurn

## Description

## Functions

### brasero_burn_new ()

    BraseroBurn *
    brasero_burn_new (void);

Creates a new BraseroBurn object.

#### Returns

a BraseroBurn object.

### brasero_burn_record ()

    BraseroBurnResult
    brasero_burn_record (BraseroBurn *burn,
                         BraseroBurnSession *session,
                         GError **error);

Burns or creates a disc image according to the parameters set in `session` .

#### Parameters

burn | a BraseroBurn |
session | a BraseroBurnSession |
error | a GError |

#### Returns

a BraseroBurnResult. The result of the operation. BRASERO_BURN_OK if it was successful.

### brasero_burn_check ()

    BraseroBurnResult
    brasero_burn_check (BraseroBurn *burn,
                        BraseroBurnSession *session,
                        GError **error);

Checks the integrity of a medium according to the parameters set in `session` . The medium must be inserted in the BraseroDrive set as the source of a BraseroTrackDisc track inserted in `session` .

#### Parameters

burn | a BraseroBurn |
session | a BraseroBurnSession |
error | a GError |

#### Returns

a BraseroBurnResult. The result of the operation. BRASERO_BURN_OK if it was successful.

### brasero_burn_blank ()

    BraseroBurnResult
    brasero_burn_blank (BraseroBurn *burn,
                        BraseroBurnSession *session,
                        GError **error);

Blanks a medium according to the parameters set in `session` . The medium must be inserted in the BraseroDrive set with `brasero_burn_session_set_burner()`.

#### Parameters

burn | a BraseroBurn |
session | a BraseroBurnSession |
error | a GError |

#### Returns

a BraseroBurnResult. The result of the operation. BRASERO_BURN_OK if it was successful.

### brasero_burn_cancel ()

    BraseroBurnResult
    brasero_burn_cancel (BraseroBurn *burn,
                         gboolean protect);

Cancels any ongoing operation. If `protect` is TRUE then cancellation will not take place for a "critical" task, a task whose interruption could damage the medium or the drive.

#### Parameters

burn | a BraseroBurn |
protect | a gboolean |

#### Returns

a BraseroBurnResult. The result of the operation. BRASERO_BURN_OK if it was successful.

### brasero_burn_status ()

    BraseroBurnResult
    brasero_burn_status (BraseroBurn *burn,
                         BraseroMedia *media,
                         goffset *isosize,
                         goffset *written,
                         guint64 *rate);

Returns various information about the current operation in `media` (the current media type being burnt), `isosize` (the size of the data being burnt), `written` (the number of bytes having been written so far) and `rate` (the speed at which data are written).

#### Parameters

burn | a BraseroBurn |
media | a BraseroMedia or NULL |
isosize | a goffset or NULL |
written | a goffset or NULL |
rate | a guint64 or NULL |

#### Returns

a BraseroBurnResult. BRASERO_BURN_OK if there is an ongoing operation; BRASERO_BURN_NOT_READY otherwise.

### brasero_burn_get_action_string ()

    void
    brasero_burn_get_action_string (BraseroBurn *burn,
                                    BraseroBurnAction action,
                                    gchar **string);

This function returns the current action (in `string` ) of an ongoing operation performed by `burn` . `action` is used to set a default string in case there was no string set by the backend to describe the current operation.

#### Parameters

burn | a BraseroBurn |
action | a BraseroBurnAction |
string | a gchar ** |

## Types and Values

### BraseroBurn

    typedef struct _BraseroBurn BraseroBurn;

## Signal Details

### The `“action-changed”` signal

    void
    user_function (BraseroBurn *braseroburn,
                   int          arg1,
                   gpointer     user_data)

Flags: Run Last

### The `“blank-failure”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   gpointer     user_data)

Flags: Run Last

### The `“disable-joliet”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   gpointer     user_data)

Flags: Run Last

### The `“dummy-success”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   gpointer     user_data)

Flags: Run Last

### The `“eject-failure”` signal

    int
    user_function (BraseroBurn  *braseroburn,
                   BraseroDrive *arg1,
                   gpointer      user_data)

Flags: Run Last

### The `“insert-media”` signal

    int
    user_function (BraseroBurn  *braseroburn,
                   BraseroDrive *arg1,
                   int           arg2,
                   int           arg3,
                   gpointer      user_data)

Flags: Run Last

### The `“install-missing”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   int          arg1,
                   char        *arg2,
                   gpointer     user_data)

Flags: Run Last

### The `“location-request”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   gpointer     arg1,
                   int          arg2,
                   gpointer     user_data)

Flags: Run Last

### The `“progress-changed”` signal

    void
    user_function (BraseroBurn *braseroburn,
                   double       arg1,
                   double       arg2,
                   glong        arg3,
                   gpointer     user_data)

Flags: Run Last

### The `“warn-audio-to-appendable”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   gpointer     user_data)

Flags: Run Last

### The `“warn-data-loss”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   gpointer     user_data)

Flags: Run Last

### The `“warn-previous-session-loss”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   gpointer     user_data)

Flags: Run Last

### The `“warn-rewritable”` signal

    int
    user_function (BraseroBurn *braseroburn,
                   gpointer     user_data)

Flags: Run Last